From ff0c77b016a74d8c92d34acf16d67ca67e1222bb Mon Sep 17 00:00:00 2001
From: Jacob Champion <jacob.champion@enterprisedb.com>
Date: Thu, 24 Apr 2025 08:41:43 -0700
Subject: [PATCH] Bump the minimum supported Python version to 3.6.8

Python 3.2 is no longer tested by the buildfarm, and there are only a
handful of buildfarm animals running versions older than 3.6, which
itself went end-of-life in 2021. Python 3.6.8 is the default version
shipped in RHEL8, so that seems like a reasonable baseline for PG18.

Now that we use the Python Limited API as of 0793ab810, older versions
of Python should continue functioning for users of PL/Python in
particular, so soften the language from "required" to "supported".

Suggested-by: Tom Lane <tgl@sss.pgh.pa.us>
Reviewed-by: TODO
Discussion: https://postgr.es/m/16098.1745079444%40sss.pgh.pa.us
---
 doc/src/sgml/installation.sgml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/doc/src/sgml/installation.sgml b/doc/src/sgml/installation.sgml
index 077bcc20759..e7ffb942bbd 100644
--- a/doc/src/sgml/installation.sgml
+++ b/doc/src/sgml/installation.sgml
@@ -241,7 +241,7 @@
       language, you need a <productname>Python</productname>
       installation with the header files and
       the <application>sysconfig</application> module.  The minimum
-      required version is <productname>Python</productname> 3.2.
+      supported version is <productname>Python</productname> 3.6.8.
      </para>
 
      <para>
-- 
2.34.1

